package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF55DResponse {

    @Parameter(name = "CARD_NUMBER")
    String cardNumber();

    @Parameter(name = "CLIP_ALLOWED_FLAG")
    String clipAllowedFlag();

    @Parameter(name = "CLIP_AMOUNT")
    Double clipAmount();

    @Parameter(name = "CLIP_CASH_LIMIT_PERCENT")
    Double clipCashLimitPercent();

    @Parameter(name = "CLIP_MIN_INSTALMENT_PERCENT")
    Double clipMinInstalmentPercent();

    @Parameter(name = "CONTRACT_NUMBER")
    String contractNumber();

    @Parameter(name = "Data")
    java.util.List<MWF55DData> data();

    @Parameter(name = "SUPPLEMENTARY_ALLOWED_FLAG")
    String supplementaryAllowedFlag();

}